com.smartgwt.client.data

## Class FileSpec

- java.lang.Object
- - com.smartgwt.client.core.JsObject
  - - com.smartgwt.client.core.DataClass
    - - com.smartgwt.client.data.FileSpec

- All Implemented Interfaces:
    com.google.gwt.event.shared.HasHandlers

      public class FileSpec
      extends DataClass

  A record which specifies files for use with `FileSource Operations`.
  See Also:
    `DataSource.makeFileSpec(java.lang.String)`

- - ### Field Summary

    - ### Fields inherited from class com.smartgwt.client.core.DataClass

      `factoryCreated, factoryProperties, readOnly`

    - ### Fields inherited from class com.smartgwt.client.core.JsObject

      `jsObj`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FileSpec()`
    `FileSpec(com.google.gwt.core.client.JavaScriptObject jsObj)`
    `FileSpec(java.lang.String path)` Constructs a FileSpec from a path.
    `FileSpec(java.lang.String fileName, java.lang.String fileType, java.lang.String fileFormat)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getFileFormat()` The format of the file, e.g.
    `java.lang.String` | `getFileName()` The name of the file, without any extension to indicate `type` or `format`.
    `java.lang.String` | `getFileType()` The type of the file, e.g.
    `static FileSpec` | `getOrCreateRef(com.google.gwt.core.client.JavaScriptObject jsObj)`
    `protected static com.google.gwt.core.client.JavaScriptObject` | `parsePath(java.lang.String path)`
    `void` | `setFileFormat(java.lang.String fileFormat)` The format of the file, e.g.
    `void` | `setFileName(java.lang.String fileName)` The name of the file, without any extension to indicate `type` or `format`.
    `void` | `setFileType(java.lang.String fileType)` The type of the file, e.g.

    - ### Methods inherited from class com.smartgwt.client.core.DataClass

      `applyFactoryProperties, doAddHandler, fireEvent, getAttribute, getAttributeAsBoolean, getAttributeAsBoolean, getAttributeAsDate, getAttributeAsDouble, getAttributeAsDoubleArray, getAttributeAsFloat, getAttributeAsInt, getAttributeAsIntArray, getAttributeAsJavaScriptObject, getAttributeAsLong, getAttributeAsMap, getAttributeAsObject, getAttributeAsRecord, getAttributeAsString, getAttributeAsStringArray, getAttributes, getHandlerCount, getReadOnly, isFactoryCreated, logConfiguration, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttributeAsJavaObject, setFactoryCreated, setReadOnly`

    - ### Methods inherited from class com.smartgwt.client.core.JsObject

      `equals, getJsObj, hashCode, isCreated, setJavaScriptObject, setJsObj`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FileSpec

          public FileSpec()

    - #### FileSpec

          public FileSpec(com.google.gwt.core.client.JavaScriptObject jsObj)

    - #### FileSpec

          public FileSpec(java.lang.String fileName,
                          java.lang.String fileType,
                          java.lang.String fileFormat)

    - #### FileSpec

          public FileSpec(java.lang.String path)

      Constructs a FileSpec from a path. For instance, "employees.ds.xml" would be converted to {fileName: "employees", fileType: "ds", fileFormat: "xml"}.
      Parameters:
        `path` - The path to convert.

  - ### Method Detail

    - #### getOrCreateRef

          public static FileSpec getOrCreateRef(com.google.gwt.core.client.JavaScriptObject jsObj)

    - #### setFileFormat

          public void setFileFormat(java.lang.String fileFormat)

      The format of the file, e.g. "xml" or "js"
      Parameters:
        `fileFormat` - Default value is null

    - #### getFileFormat

          public java.lang.String getFileFormat()

      The format of the file, e.g. "xml" or "js"
      Returns:
        String

    - #### setFileName

          public void setFileName(java.lang.String fileName)

      The name of the file, without any extension to indicate `type` or `format`.
      Parameters:
        `fileName` - Default value is null

    - #### getFileName

          public java.lang.String getFileName()

      The name of the file, without any extension to indicate `type` or `format`.
      Returns:
        String

    - #### setFileType

          public void setFileType(java.lang.String fileType)

      The type of the file, e.g. "ds" for datasource, or "proj" for project.
      Parameters:
        `fileType` - Default value is null

    - #### getFileType

          public java.lang.String getFileType()

      The type of the file, e.g. "ds" for datasource, or "proj" for project.
      Returns:
        String

    - #### parsePath

          protected static com.google.gwt.core.client.JavaScriptObject parsePath(java.lang.String path)